# Method: providers.billableTrips.report

- [HTTP request](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#body.request_body)
  - [JSON representation](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#body.response_body)
- [BillingPlatformIdentifier](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#BillingPlatformIdentifier)
- [SolutionType](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#SolutionType)

Report billable trip usage.

### HTTP request

`POST https://fleetengine.googleapis.com/v1/{name=providers/*/billableTrips/*}:report`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Must be in the format `providers/{provider}/billableTrips/{billable_trip}`. The provider must be the Project ID (for example, `sample-cloud-project`) of the Google Cloud Project of which the service account making this call is a member. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "countryCode": string, "platform": enum (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#BillingPlatformIdentifier`), "relatedIds": [ string ], "solutionType": enum (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#SolutionType`) } ``` |

| Fields ||
|---|---|
| `countryCode` | `string` Required. Two letter country code of the country where the trip takes place. Price is defined according to country code. |
| `platform` | ``enum (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#BillingPlatformIdentifier`)`` The platform upon which the request was issued. |
| `relatedIds[]` | `string` The identifiers that are directly related to the trip being reported. These are usually IDs (for example, session IDs) of pre-booking operations done before the trip ID is available. The number of `relatedIds` is limited to 50. |
| `solutionType` | ``enum (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.billableTrips/report#SolutionType`)`` The type of GMP product solution (for example, `ON_DEMAND_RIDESHARING_AND_DELIVERIES`) used for the reported trip. |

### Response body

If successful, the response body is an empty JSON object.

## BillingPlatformIdentifier

A set of values that indicate upon which platform the request was issued.

| Enums ||
|---|---|
| `BILLING_PLATFORM_IDENTIFIER_UNSPECIFIED` | Default. Used for unspecified platforms. |
| `SERVER` | The platform is a client server. |
| `WEB` | The platform is a web browser. |
| `ANDROID` | The platform is an Android mobile device. |
| `IOS` | The platform is an IOS mobile device. |
| `OTHERS` | Other platforms that are not listed in this enumeration. |

## SolutionType

Selector for different solution types of a reported trip.

| Enums ||
|---|---|
| `SOLUTION_TYPE_UNSPECIFIED` | The default value. For backwards-compatibility, the API will use `ON_DEMAND_RIDESHARING_AND_DELIVERIES` by default which is the first supported solution type. |
| `ON_DEMAND_RIDESHARING_AND_DELIVERIES` | The solution is an on-demand ridesharing and deliveries trip. |